> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdupdate.md).

# Dataset$update

### Dataset$<mark style="color:purple;">update</mark>(*name=NULL, public\_access\_level=NULL, description=NULL, methodology\_markdown=NULL, usage\_markdown=NULL, labels=NULL, labels\_to\_add=NULL, labels\_to\_remove=NULL, tags=NULL, tags\_to\_add=NULL, tags\_to\_remove=NULL*) → self

Update properties on a dataset. All properties are optional, and only specified properties will be updated.

### **Parameters:**

**`name` :&#x20;*****str, default NULL***\
The dataset's new name. If set to `NULL` (the default), the name will not be updated.

**`public_access_level` :&#x20;*****str {"none"*****&#x20;|&#x20;*****"overview"*****&#x20;|&#x20;*****"metadata"*****&#x20;|&#x20;*****"sample"*****&#x20;|&#x20;*****"data"}, default NULL***\
The dataset's new public access level (the level of access for any user on Redivis). If set to `NULL` (the default), the public access level will not be updated. Additional access rules for datasets can be defined through the web interface.

**`description` :&#x20;*****str, default NULL***\
The dataset's new description, presented as the "Abstract" in the web interface. If set to `NULL` (the default), the description will not be updated. To clear the description, pass an empty string.

**`methodology_markdown` :&#x20;*****str, default NULL***\
The dataset's new methodology section. If set to `NULL` (the default), the field will not be updated. To clear this section, pass an empty string.

**`usage_markdown` :&#x20;*****str, default NULL***\
The dataset's new usage section. If set to `NULL` (the default), the field will not be updated. To clear this section, pass an empty string.

**`labels` :&#x20;*****list(str) | character vector, default NULL***\
A list of labels to assign to the dataset, replacing any existing labels. To add or remove individual labels, use `labels_to_add` or `labels_to_remove` instead. Labels can only use alphanumeric characters and underscores, and may include up to one colon to create a multipart label (e.g., `school:humanities`). Labels are case-insensitive and stored lowercase. Labels can currently only be assigned to datasets owned by an organization, and you must be an administrator of that organization to view and edit labels.

**`labels_to_add` :&#x20;*****list(str) | character vector, default NULL***\
A list of labels to add to the dataset, keeping any existing labels. Cannot be combined with `labels`.

**`labels_to_remove` :&#x20;*****list(str) | character vector, default NULL***\
A list of labels to remove from the dataset. Labels that aren't on the dataset are ignored. Cannot be combined with `labels`.

**`tags` :&#x20;*****list(str) | character vector, default NULL***\
A list of tags to assign to the dataset, replacing any existing tags. To add or remove individual tags, use `tags_to_add` or `tags_to_remove` instead. Tags are case-insensitive and stored lowercase.

**`tags_to_add` :&#x20;*****list(str) | character vector, default NULL***\
A list of tags to add to the dataset, keeping any existing tags. Cannot be combined with `tags`.

**`tags_to_remove` :&#x20;*****list(str) | character vector, default NULL***\
A list of tags to remove from the dataset. Tags that aren't on the dataset are ignored. Cannot be combined with `tags`.

{% hint style="info" %}
A dataset can have at most 20 labels, and each version of a dataset can have at most 25 tags. The description, methodology, usage, and tags are documented separately for each version of the dataset, and are applied to the version that this dataset object refers to.
{% endhint %}

### **Returns:**

**self (a** [**Dataset**](/api/client-libraries/redivis-r/reference/dataset.md)**)**

### Examples:

{% tabs %}
{% tab title="Update a dataset" %}

```r
dataset <- redivis$user("my_username")$dataset("My dataset")
dataset$update(name="My newly named dataset", description="this is a test")
```

{% endtab %}

{% tab title="Add and remove labels and tags" %}

```r
dataset <- redivis$organization("my_organization")$dataset("My dataset")
dataset$update(
  labels_to_add=c("status:reviewed"),
  labels_to_remove=c("status:draft"),
  tags_to_add=c("health")
)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdupdate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
